package com.bzd.system.service.xsgl;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 负号销售表 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SXsglReturnproductinfoService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSXsglReturnproductinfo(PageData pd)throws Exception {
        return daoSupport.update("SXsglReturnproductinfoMapper.addSXsglReturnproductinfo", pd);
    }

    public List<PageData> findSXsglReturnproductinfoList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SXsglReturnproductinfoMapper.selectSXsglReturnproductinfoList", pd);
    }

    public Integer SXsglReturnproductinfoRemove(PageData pd)throws Exception {
        return daoSupport.delete("SXsglReturnproductinfoMapper.SXsglReturnproductinfoRemove", pd);
    }


    public Integer updateSXsglReturnproductinfo(PageData pd)throws Exception {
        return daoSupport.update("SXsglReturnproductinfoMapper.updateSXsglReturnproductinfo", pd);
    }

}
